"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyNativeConfiguration = void 0;
const crypto_1 = require("./crypto");
const compression_v1_1 = require("./compression.v1");
const compression_v2_1 = require("./compression.v2");
const environment_1 = require("./environment");
const net_1 = require("./net");
const rng_1 = require("./rng");
const encoding_1 = require("./encoding");
function applyNativeConfiguration(appEnv, map) {
    appEnv.setProperties(map(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, (0, crypto_1.getCryptoResources)()), (0, compression_v1_1.getCompressionResources)()), (0, compression_v2_1.getCompressionResources)()), (0, environment_1.getEnvironmentResources)()), (0, net_1.getNetResources)()), (0, rng_1.getRNGResources)()), (0, encoding_1.getEncodingResources)())));
}
exports.applyNativeConfiguration = applyNativeConfiguration;
