"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNetResources = void 0;
const web_1 = require("webdav/web");
const dropbox_client_1 = require("@buttercup/dropbox-client");
function getNetResources() {
    return {
        "net/dropbox/v1/newClient": (token) => new dropbox_client_1.DropboxClient(token, {
            compat: true,
            compatCorsHack: false
        }),
        "net/webdav/v1/newClient": web_1.createClient
    };
}
exports.getNetResources = getNetResources;
