"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VaultSourceStatus = exports.VaultPermission = exports.VaultFormatID = exports.EntryType = exports.EntryPropertyValueType = exports.EntryPropertyType = exports.EntryChangeType = void 0;
var EntryChangeType;
(function (EntryChangeType) {
    EntryChangeType["Created"] = "created";
    EntryChangeType["Modified"] = "modified";
    EntryChangeType["Deleted"] = "deleted";
})(EntryChangeType = exports.EntryChangeType || (exports.EntryChangeType = {}));
var EntryPropertyType;
(function (EntryPropertyType) {
    EntryPropertyType["Attribute"] = "attribute";
    EntryPropertyType["Property"] = "property";
})(EntryPropertyType = exports.EntryPropertyType || (exports.EntryPropertyType = {}));
var EntryPropertyValueType;
(function (EntryPropertyValueType) {
    EntryPropertyValueType["Note"] = "note";
    EntryPropertyValueType["OTP"] = "otp";
    EntryPropertyValueType["Password"] = "password";
    EntryPropertyValueType["Text"] = "text";
})(EntryPropertyValueType = exports.EntryPropertyValueType || (exports.EntryPropertyValueType = {}));
var EntryType;
(function (EntryType) {
    EntryType["CreditCard"] = "credit_card";
    EntryType["Login"] = "login";
    EntryType["Note"] = "note";
    EntryType["SSHKey"] = "ssh_key";
    EntryType["Website"] = "website";
})(EntryType = exports.EntryType || (exports.EntryType = {}));
var VaultFormatID;
(function (VaultFormatID) {
    VaultFormatID["A"] = "a";
    VaultFormatID["B"] = "b";
})(VaultFormatID = exports.VaultFormatID || (exports.VaultFormatID = {}));
var VaultPermission;
(function (VaultPermission) {
    VaultPermission["Manage"] = "archive/member/manage";
    VaultPermission["Read"] = "archive/member/read";
    VaultPermission["Write"] = "archive/member/write";
})(VaultPermission = exports.VaultPermission || (exports.VaultPermission = {}));
var VaultSourceStatus;
(function (VaultSourceStatus) {
    VaultSourceStatus["Locked"] = "locked";
    VaultSourceStatus["Pending"] = "pending";
    VaultSourceStatus["Unlocked"] = "unlocked";
})(VaultSourceStatus = exports.VaultSourceStatus || (exports.VaultSourceStatus = {}));
