import { AppEnvMapper } from "./env/appEnv";
import * as localFileClient from "./web/localFileClient";
/**
 * Initialise the web environment
 * @memberof module:Buttercup
 */
export declare function init(appEnvMapper?: AppEnvMapper): void;
export { default as LocalFileDatasource } from "./web/LocalFileDatasource";
export { default as LocalStorageInterface } from "./web/LocalStorageInterface";
export { default as LocalStorageDatasource } from "./web/LocalStorageDatasource";
export { localFileClient };
export * from "./index.common";
