"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGlobal = void 0;
function getGlobal() {
    if (typeof window !== "undefined") {
        return window;
    }
    else if (typeof global !== "undefined") {
        return global;
    }
    else if (typeof self !== "undefined") {
        return self;
    }
    throw new Error("Unable to detect any global variable/context");
}
exports.getGlobal = getGlobal;
