"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRNGResources = void 0;
const uuid_1 = require("uuid");
/**
 * Generate a UUID
 * @returns A random UUID v4 string
 */
function generateUUID() {
    return (0, uuid_1.v4)();
}
function getRNGResources() {
    return {
        "rng/v1/uuid": generateUUID
    };
}
exports.getRNGResources = getRNGResources;
