"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRNGResources = void 0;
/**
 * Generate a UUID
 * @returns A random UUID v4 string
 */
function generateUUID() {
    const { v4: uuid } = require("uuid");
    return uuid();
}
function getRNGResources() {
    return {
        "rng/v1/uuid": generateUUID
    };
}
exports.getRNGResources = getRNGResources;
