"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = void 0;
const singleton_1 = require("./env/core/singleton");
const index_1 = require("./env/native/index");
let __hasInitialised = false;
/**
 * Initialise the node/native environment
 * @memberof module:Buttercup
 */
function init(appEnvMapper = x => x) {
    if (__hasInitialised)
        return;
    __hasInitialised = true;
    const appEnv = (0, singleton_1.getSharedAppEnv)();
    (0, index_1.applyNativeConfiguration)(appEnv, appEnvMapper);
}
exports.init = init;
__exportStar(require("./index.common"), exports);
