"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateUUID = void 0;
const appEnv_1 = require("../env/appEnv");
/**
 * Generate a UUID (v4)
 * @returns The new UUID
 */
function generateUUID() {
    return (0, appEnv_1.getSharedAppEnv)().getProperty("rng/v1/uuid")();
}
exports.generateUUID = generateUUID;
